QGIS Application - Feature request #3151
Enable "Source SRS" when SRS available
2010-10-25 02:02 AM - Alexander Bruy

Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: Python plugins

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 13211
Description

When raster is georeferenced it's SRS displayed in "Source SRS" field of the [[GdalTools]] Warp dialog. But by default this option is

disabled. This is a it's a little inconvenient.

Proposed patch makes this option enabled by default when information about raster CRS is available

History

#1 - 2010-10-29 12:31 PM - Giuseppe Sucameli
- Status changed from Open to In Progress

The new patch gets the crs using the [[GdalTools]]_utils' related function.

Some layers have a CRS that QGis doesn't manage without creating an "User defined CRS", in this case the QGis epsg() function return 0.

| saw that there's the same issue also in translate tool retrieving the target CRS, so I'm going to fix it.

#2 - 2010-10-29 03:10 PM - Giuseppe Sucameli
- Resolution set to fixed
- Status changed from In Progress to Closed

fixed from commit:6253fb72 (SVN r14451)

Files
enable_s_srs.diff 1.96 KB 2010-10-25 Alexander Bruy
enable_s_srs_ticket_3151.diff 2.2 KB 2010-10-29 Giuseppe Sucameli
